# Created by pyp2rpm-3.3.2
%global pypi_name elementpath

Name:           python-%{pypi_name}
Version:        1.3.3
Release:        1%{?dist}
Summary:        XPath 1.0/2.0 parsers and selectors for ElementTree and lxml

License:        MIT
URL:            https://github.com/sissaschool/elementpath
Source0:        https://files.pythonhosted.org/packages/source/e/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python2dist(setuptools)
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
*********** elementpath ***********.. elementpath-introductionThe proposal of
this package is to provide XPath 1.0 and 2.0 selectors for Python's ElementTree
XML data structures, both for the standard ElementTree library and for the
lxml.etree <>_ library.For lxml.etree <>_ this package can be useful for
providing XPath 2.0 selectors, because lxml.etree <>_ already has it's own
implementation...

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

%description -n python2-%{pypi_name}
*********** elementpath ***********.. elementpath-introductionThe proposal of
this package is to provide XPath 1.0 and 2.0 selectors for Python's ElementTree
XML data structures, both for the standard ElementTree library and for the
lxml.etree <>_ library.For lxml.etree <>_ this package can be useful for
providing XPath 2.0 selectors, because lxml.etree <>_ already has it's own
implementation...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
*********** elementpath ***********.. elementpath-introductionThe proposal of
this package is to provide XPath 1.0 and 2.0 selectors for Python's ElementTree
XML data structures, both for the standard ElementTree library and for the
lxml.etree <>_ library.For lxml.etree <>_ this package can be useful for
providing XPath 2.0 selectors, because lxml.etree <>_ already has it's own
implementation...

%package -n python-%{pypi_name}-doc
Summary:        elementpath documentation
%description -n python-%{pypi_name}-doc
Documentation for elementpath

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build
# generate html docs 
PYTHONPATH=${PWD} sphinx-build-3 doc html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{pypi_name}
%license LICENSE
%doc README.rst
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE

%changelog
* Sat Mar 07 2020 mockbuilder - 1.3.3-1
- Initial package.